petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMDASetPreallocationCenterDimension

Determine the topology used to determine adjacency

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDASetPreallocationCenterDimension(DM dm, PetscInt preallocCenterDim)

### Input Parameters

| dm | - The DM object
| preallocCenterDim | - The dimension of points which connect adjacent entries

### Notes

        FEM:   Two points p and q are adjacent if q \in closure(star(p)), preallocCenterDim = dim

        FVM:   Two points p and q are adjacent if q \in star(cone(p)),    preallocCenterDim = dim-1

        FVM++: Two points p and q are adjacent if q \in star(closure(p)), preallocCenterDim = 0

### See Also

DMCreateMatrix(), DMDAPreallocateOperator()

Level:developer
Location:src/dm/impls/da/dapreallocate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages